<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann

	if(!isset($_SESSION["mailcli"]))
    {
      
      echo "<div class='cache'> <p align='right' style='padding-right:22px;'>"; //debut en-tête
      
      // Variables de session 
      
      if( empty($_SESSION["mailcli"]) ) //si les sessions sont vides
      {
        echo '<a href="http://'.$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'].'?lang=fr">Fr</a> | <a href="http://'.$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'].'?lang=en">En</a> &#160;&#160;&#160;&#160;
        <strong> <a href="'.$AdresseFreePay.'support/client/client_ajouter.php">'.$OuvrirUnCompte[$lang].'</a> </strong> | 
        <a href="'.$AdresseFreePay.'support/client/connexion.php">'.$Connexion[$lang].'</a> |
        <a href="'.$AdresseFreePay.'support/mail.php?destinataire=info@'.$_SERVER['HTTP_HOST'].'">'.$Aide[$lang].'</a>';
      }
        
      echo "</p>";
        
      // Mon Logo
  
        echo '<p class="logo">     
          <a href="'.$AdresseFreePay.'">
          <img id=\'logo\' src="'.$AdresseFreePay.'images/logo_blue_'.$lang.'.PNG" alt="'.$Logo[$lang].'" />
          </a>
        </p>';
      
      include("../../menu.php"); //inclue aussi le menu
      
      echo "</div>"; 

      echo "<div></div>"; 
  
      echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page

      echo '
      <form action="connexion.php" method="post" onsubmit="return client_verification();">';
      
      if( $URLRetour != $AdresseFreePay.'nav_mon_compte.php' ){
        echo "<p class='info'>Vous devez vous identifier sur FreePay auparavant.</p>";
      }
      
      if( !empty($_GET['message'])){
        if($_GET['message'] == "b"){
          echo "<p class='info'>Le mail de la session n'est pas le même que celui entré dans le formulaire d'E-commerce. <strong>Veuillez-vous re-connecter.</strong></p>";
        }
        
      }
      
      if(isset($_POST['mdpcli'])){
        if(empty($_POST['mdpcli']) ){
          echo "<p class='erreur'>Vous devez mettre un <strong>Mot de passe</strong>.</p>";
        }
      }
      
      echo '<h4 class="titre">'.$Connexion[$lang].'</h4>
      
      <p>'.$PasDeCompte[$lang].' ';
      
      if(isset($mailcli) and isset($mdpcli)) {
        echo '<a href="client_ajouter.php?mailcli='.$mailcli.'&mdpcli='.$mdpcli.'">'.$CreerUnCompte[$lang].'</a>.</p>';
      }else{
        if(isset($mailcli)){
          echo '<a href="client_ajouter.php?mailcli='.$mailcli.'">'.$CreerUnCompte[$lang].'</a>.</p>';
        }
        if(isset($mdpcli)){
          echo '<a href="client_ajouter.php?mdpcli='.$mdpcli.'">'.$CreerUnCompte[$lang].'</a>.</p>';
        }
        if(!isset($mailcli) and !isset($mdpcli)){
          echo '<a href="client_ajouter.php">'.$CreerUnCompte[$lang].'</a>.</p>';
        }
      }
      
      
      if(!empty($mailcli) and !empty($mdpcli) ){
		   if(mysql_select_db($base,$connexion)){
		   
				$requete = "select * from freepay_client where mailcli='".$mailcli."';"; //requête sql
				$ligne = mysql_fetch_assoc( mysql_query($requete,$connexion) ); //prise des résultats
				
				$md5mdpcli = md5($mdpcli); //cryptage md5 du mot de passe
				
				if(!$ligne or ($md5mdpcli != $ligne["mdpcli"]) ) {//si les informations ne sont pas trouvés 
				  echo "<p class='erreur'>Informations incorrectes.</p>";
				}
		  }else{ 
		  	echo "<p class='erreur'>La base '<strong>$base</strong>' est introuvable sur <strong>MySQL</strong>. Il faut l'installer via <strong>phpMyAdmin</strong> pour pouvoir utiliser ce logiciel.</p>";
		  }
      }
      
      
      echo'
      <map id="connexionid">
        <table>
          
          <tr>
            <td class="historique"
                      onmouseover="this.style.backgroundColor=\'white\'"
                      onmouseout="this.style.backgroundColor=\'#c8d7e3\'"
                      >'.$AdresseCourriel[$lang].'</td>
            <td><input type="text" name="mailcli" id="mailcli" size="30" ';
              if(isset($mailcli)){ echo ' value="'.$mailcli.'" ';} echo '/></td><td></td>
          </tr>
          
          <tr>
            <td class="historique"
                      onmouseover="this.style.backgroundColor=\'white\'"
                      onmouseout="this.style.backgroundColor=\'#c8d7e3\'"
                      >'.$MotDePasse[$lang].'</td>
            <td><input type="password" name="mdpcli" id="mdpcli" size="30" ';
              if(isset($mdpcli)){ echo ' value="'.$mdpcli.'" ';} echo '/></td>
          </tr>
          
          <tr>
            <td><input type="hidden" name="URLRetour" id="URLRetour" size="30" ';
              if(isset($URLRetour)){ echo ' value="'.$URLRetour.'" ';} echo '/></td>
          </tr>
          
          <tr>
            <td></td><td><input type="submit" value="'.$Connexion[$lang].'" /></td>
          </tr>
        </table>
      </map>
      </form>';
      
      include("liste_clients_exemple.php");
      
      //Focus sur le champs du courriel en javascript
      echo '<script type="text/javascript">document.getElementById("mailcli").focus();</script>';
      
      //Vérification du mailcli et du mdpcli
      echo '<script type="text/javascript" src="client_verification.js"></script>';
      
       echo'</div>'; // fin du corps de la page
      include("../../nav_bas.php"); // Inclure le bas de la page
    
    }else {
      echo '<META HTTP-EQUIV=REFRESH CONTENT="0; URL='.$URLRetour.'">';
    }

?>
